Bug 1268243 - (CVE-2015-7558) CVE-2015-7558 librsvg2: Stack exhaustion causing DoS
CVE-2015-7558 librsvg2: Stack exhaustion causing DoS
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151221,repor...
: Security
: CVE-2016-4347 (view as bug list)
Depends On: 1293346 1293347
Blocks: 1268247 1331729
  Show dependency treegraph
 
Reported: 2015-10-02 05:25 EDT by Adam Mariš
Modified: 2016-07-04 01:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: librsvg2 2.40.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 05:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-02 05:25:03 EDT
A vulnerability causing stack exhaustion leading to DoS was found in librsvg2 when parsing SVG file.
Comment 2 Adam Mariš 2015-10-02 05:56:16 EDT
Acknowledgements:

Red Hat would like to thank Gustavo Grieco for reporting this issue.
Comment 3 Matthias Clasen 2015-10-02 10:10:49 EDT
I don't believe that firefox is using librsvg to parse files that are loaded from the net.
Comment 5 Matthias Clasen 2015-12-14 13:38:30 EST
yes, I believe this was fixed by rewriting the way librsvg checks for cyclic references.
Comment 6 Adam Mariš 2015-12-21 08:53:50 EST
Created librsvg2 tracking bugs for this issue:

Affects: fedora-all [bug 1293346]
Comment 7 Adam Mariš 2015-12-21 08:53:56 EST
Created mingw-librsvg2 tracking bugs for this issue:

Affects: fedora-all [bug 1293347]
Comment 10 Stefan Cornelius 2016-06-03 09:04:17 EDT
*** Bug 1331724 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.